#include "reviewoutput.h"
#include <QTextStream>
#include <QMetaProperty>

ReviewOutput::ReviewOutput(QList<Software *> l): list(l)
{}

void ReviewOutput::outputConsole()
{
    QTextStream cout(stdout);

    for (int loop=0; loop<list.size(); loop++)
    {
        cout << list.at(loop)->toString() << endl;
    }
}

QStringList ReviewOutput::outputWindow()
{
    QStringList result;
    QString buildResult;

    for (int loop=0; loop<list.size(); loop++)
    {
        buildResult = "";
        const QMetaObject* meta = list.at(loop)->metaObject();

        for (int count=1; count<meta->propertyCount(); count++)
        {
            const QMetaProperty prop = meta->property(count);
            QString name = prop.name();
            QVariant value = prop.read(list.at(loop));
            QString val = value.toString();
            buildResult += QString(name + ": " + val + "; ");
        }
        result << buildResult;
    }
    return result;
}
