#include "mainwindow.h"
#include "ui_mainwindow.h"

#include "software.h"
#include "reviewoutput.h"
#include <QInputDialog>
#include <QMessageBox>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    ui->dateEdit->setDate(QDate::currentDate());
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_buttonAdd_clicked()
{
    Software* temp = new Software;
    temp->setName(ui->enterName->text());
    temp->setDate(ui->dateEdit->date());
    temp->setRecommend(ui->checkBox->isChecked());

    list.add(temp);

    ui->enterName->clear();
    ui->dateEdit->setDate(QDate::currentDate());
    ui->checkBox->setChecked(false);
    ui->enterName->setFocus();
}

void MainWindow::on_buttonConsole_clicked()
{
    ReviewOutput output(list.getList());
    output.outputConsole();
    ui->enterName->setFocus();
}

void MainWindow::on_buttonWindow_clicked()
{
    ui->displayBox->clear();
    ReviewOutput output(list.getList());
    QStringList strList = output.outputWindow();
    foreach (QString str, strList)
        ui->displayBox->append(str);
}

void MainWindow::on_buttonDynamic_clicked()
{
    int number = QInputDialog::getInt(this, "Dynamic Property Input", "Which item number should be used: ", 1, 1, list.size());
    QString prop = QInputDialog::getText(this, "Dynamic Property Input", "Property name:");
    QString value = QInputDialog::getText(this, "Dynamic Property Input", "Property value:");

    list.getList().at(number-1)->setProperty(prop.toAscii(), value);
}
