#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QRegExp>

QRegExp MainWindow::len(".{5}");
QRegExp MainWindow::uc("[A-Z]+");
QRegExp MainWindow::lc("[a-z]+");
QRegExp MainWindow::num("\\d+");
QRegExp MainWindow::doub("(.)\\1");

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    connect(ui->password, SIGNAL(textChanged(QString)), this, SLOT(check(QString)));
}

void MainWindow::check(QString s)
{
    if(len.indexIn(s)>-1 && uc.indexIn(s)>-1 && lc.indexIn(s)>-1 && num.indexIn(s)>-1 && doub.indexIn(s)==-1)
        ui->response->setText("Acceptable");
    else
        ui->response->setText("Unacceptable");
}

MainWindow::~MainWindow()
{
    delete ui;
}
